Pular para o conteúdo principal
GET
/
v1
/
public
/
agents
/
conversations
/
{conversation_id}
/
messages
List messages
curl --request GET \
  --url https://api.quintus.tec.br/v1/public/agents/conversations/{conversation_id}/messages \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "id": "<string>",
      "content": [
        {
          "text": "Hello agent",
          "type": "text"
        }
      ],
      "created_at": "2023-11-07T05:31:56Z",
      "metadata": {}
    }
  ],
  "next_offset": 123
}

Documentation Index

Fetch the complete documentation index at: https://quintus.tec.br/docs/llms.txt

Use this file to discover all available pages before exploring further.

Autorizações

Authorization
string
header
obrigatório

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Parâmetros de caminho

conversation_id
string
obrigatório

Parâmetros de consulta

limit
integer
padrão:20

Page size (max 100).

Intervalo obrigatório: 1 <= x <= 100
offset
integer
padrão:0

Number of items to skip.

Intervalo obrigatório: x >= 0
after
string | null

Return messages with id > after.

before
string | null

Return messages with id < before.

roles
string | null

Comma-separated roles to include (default: user,assistant).

Resposta

Successful Response

items
Message · object[]
obrigatório
next_offset
integer | null

Pass as offset to fetch the next page. Null = no more results.